DataCubeControllerReplaceElementNames Method

POST /DataCube/ReplaceElementNames/{id} Replaces the element names on a select transform. This is used to change an element to use a different native column.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ReplaceElementNames")]
public IActionResult ReplaceElementNames(
	Guid id,
	[FromBodyAttribute] ReplaceElementNamesOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to replace the element name on.
options
Type: Dundas.BI.WebApi.ModelsReplaceElementNamesOptions
The transform to replace the element names on.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also